HP-UX PHSS_25454 : HPSBUX0110-171 Sec. Vulnerability in IA HP-UX 11.20 only (rev.1)

2005-02-16T00:00:00
ID HPUX_PHSS_25454.NASL
Type nessus
Reporter Tenable
Modified 2013-04-20T00:00:00

Description

s700_800 11.20 linker cumulative patch :

Security restrictions are not consistently enforced when starting applications under HP-UX 11.20.

                                        
                                            #
# (C) Tenable Network Security, Inc.
#
# The descriptive text and patch checks in this plugin were 
# extracted from HP patch PHSS_25454. The text itself is
# copyright (C) Hewlett-Packard Development Company, L.P.
#

include("compat.inc");

if (description)
{
  script_id(16935);
  script_version("$Revision: 1.11 $");
  script_cvs_date("$Date: 2013/04/20 00:36:50 $");

  script_xref(name:"HP", value:"HPSBUX0110");

  script_name(english:"HP-UX PHSS_25454 : HPSBUX0110-171 Sec. Vulnerability in IA HP-UX 11.20 only (rev.1)");
  script_summary(english:"Checks for the patch in the swlist output");

  script_set_attribute(
    attribute:"synopsis", 
    value:"The remote HP-UX host is missing a security-related patch."
  );
  script_set_attribute(
    attribute:"description", 
    value:
"s700_800 11.20 linker cumulative patch : 

Security restrictions are not consistently enforced when starting
applications under HP-UX 11.20."
  );
  script_set_attribute(
    attribute:"solution", 
    value:"Install patch PHSS_25454 or subsequent."
  );
  script_set_attribute(attribute:"risk_factor", value:"High");

  script_set_attribute(attribute:"plugin_type", value:"local");
  script_set_attribute(attribute:"cpe", value:"cpe:/o:hp:hp-ux");

  script_set_attribute(attribute:"patch_publication_date", value:"2001/10/16");
  script_set_attribute(attribute:"plugin_publication_date", value:"2005/02/16");
  script_end_attributes();

  script_category(ACT_GATHER_INFO);
  script_copyright(english:"This script is Copyright (C) 2005-2013 Tenable Network Security, Inc.");
  script_family(english:"HP-UX Local Security Checks");

  script_dependencies("ssh_get_info.nasl");
  script_require_keys("Host/local_checks_enabled", "Host/HP-UX/version", "Host/HP-UX/swlist");

  exit(0);
}


include("audit.inc");
include("global_settings.inc");
include("hpux.inc");


if (!get_kb_item("Host/local_checks_enabled")) audit(AUDIT_LOCAL_CHECKS_NOT_ENABLED);
if (!get_kb_item("Host/HP-UX/version")) audit(AUDIT_OS_NOT, "HP-UX");
if (!get_kb_item("Host/HP-UX/swlist")) audit(AUDIT_PACKAGE_LIST_MISSING);

if (!hpux_check_ctx(ctx:"11.20"))
{
  exit(0, "The host is not affected since PHSS_25454 applies to a different OS release.");
}

patches = make_list("PHSS_25454");
foreach patch (patches)
{
  if (hpux_installed(app:patch))
  {
    exit(0, "The host is not affected because patch "+patch+" is installed.");
  }
}


flag = 0;
if (hpux_check_patch(app:"OS-Core.C-KRN", version:"B.11.20")) flag++;
if (hpux_check_patch(app:"OS-Core.CMDS-AUX", version:"B.11.20")) flag++;
if (hpux_check_patch(app:"OS-Core.CORE-64SLIB", version:"B.11.20")) flag++;
if (hpux_check_patch(app:"OS-Core.CORE-SHLIBS", version:"B.11.20")) flag++;
if (hpux_check_patch(app:"ProgSupport.LANG-64ALIB", version:"B.11.20")) flag++;
if (hpux_check_patch(app:"ProgSupport.LANG-MIN", version:"B.11.20")) flag++;


if (flag)
{
  if (report_verbosity > 0) security_hole(port:0, extra:hpux_report_get());
  else security_hole(0);
  exit(0);
}
else audit(AUDIT_HOST_NOT, "affected");